Package com.xebialabs.xlrelease.domain.utils

# Class ScmException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.xebialabs.deployit.engine.spi.exception.DeployitException
com.xebialabs.xlrelease.domain.utils.ScmException

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class ScmException extends com.xebialabs.deployit.engine.spi.exception.DeployitException implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScmException(String msg, Throwable cause, int statusCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Throwable`
  `$lessinit$greater$default$2()`
  `static int`
  `$lessinit$greater$default$3()`
  `static ScmException`
  `apply(String msg, Throwable cause, int statusCode)`
  `static Throwable`
  `apply$default$2()`
  `static int`
  `apply$default$3()`
  `boolean`
  `canEqual(Object x$1)`
  `Throwable`
  `cause()`
  `ScmException`
  `copy(String msg, Throwable cause, int statusCode)`
  `String`
  `copy$default$1()`
  `Throwable`
  `copy$default$2()`
  `int`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `String`
  `msg()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `int`
  `statusCode()`
  `static final String`
  `toString()`
  `static scala.Option<scala.Tuple3<String,Throwable,Object>>`
  `unapply(ScmException x$0)`

  ### Methods inherited from class com.xebialabs.deployit.engine.spi.exception.DeployitException

  `add, addAll, getEntity, getErrors, getMessage, hasEntity, hasErrors`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ScmException

    public ScmException(String msg, Throwable cause, int statusCode)

- ## Method Details

  - ### $lessinit$greater$default$2

    public static Throwable $lessinit$greater$default$2()

  - ### $lessinit$greater$default$3

    public static int $lessinit$greater$default$3()

  - ### toString

    public static final String toString()

  - ### apply

    public static ScmException apply(String msg, Throwable cause, int statusCode)

  - ### apply$default$2

    public static Throwable apply$default$2()

  - ### apply$default$3

    public static int apply$default$3()

  - ### unapply

    public static scala.Option<scala.Tuple3<String,Throwable,Object>> unapply(ScmException x$0)

  - ### msg

    public String msg()

  - ### cause

    public Throwable cause()

  - ### statusCode

    public int statusCode()

  - ### copy

    public ScmException copy(String msg, Throwable cause, int statusCode)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public Throwable copy$default$2()

  - ### copy$default$3

    public int copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`